# Ogre::BackgroundProcessResult Struct Reference

Encapsulates the result of a background queue request. More...

`#include <OgreResourceBackgroundQueue.h>`

List of all members.

## Public Member Functions

| BackgroundProcessResult ()

## Public Attributes

bool | error
| Whether an error occurred.
String | message
| Any messages from the process.

## Detailed Description

Encapsulates the result of a background queue request.

Definition at line 44 of file OgreResourceBackgroundQueue.h.

## Constructor & Destructor Documentation

Ogre::BackgroundProcessResult::BackgroundProcessResult | ( |  | ) |

| Definition at line 51 of file OgreResourceBackgroundQueue.h.

## Member Data Documentation

bool Ogre::BackgroundProcessResult::error

| Whether an error occurred. Definition at line 47 of file OgreResourceBackgroundQueue.h.

String Ogre::BackgroundProcessResult::message

| Any messages from the process. Definition at line 49 of file OgreResourceBackgroundQueue.h.

The documentation for this struct was generated from the following file:

- OgreResourceBackgroundQueue.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:52:05 2009